/* ----------------------------------------------------
   General
---------------------------------------------------- */

.se-bookly-hidden {
    display: none !important;
}


/* ----------------------------------------------------
   Custom Plus & Minus Buttons
---------------------------------------------------- */

.se-custom-nop-wrapper {
    display: inline-flex;
    align-items: center;
    -webkit-user-select: none;
    user-select: none;
    font-family: var(--inputs-font-family, inherit);
    font-size: var(--inputs-font-size, inherit);
    font-weight: var(--inputs-font-weight, inherit);
    min-height: var(--inputs-height, 2em);
    line-height: var(--inputs-height, 2em);
    padding: 0 var(--inputs-padding, .6em);
    border-radius: var(--inputs-border-radius, 0px);
    background: var(--inputs-background, transparent);
    color: var(--inputs-text-color, inherit);
    border: var(--inputs-border-width, 1px) solid var(--inputs-border-color, currentColor);
    transition: all 0.3s ease;
}

.se-custom-nop-btn {
    width: 32px;
    height: 32px;
    cursor: pointer;
    font-size: 16px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .3s ease;
    color: var(--color-content-primary);
    background: var(--color-content-tertiary-20);
}

.no-touch .se-custom-nop-wrapper .se-custom-nop-btn:hover {
    background: var(--color-content-tertiary-30);
}

.se-custom-nop-val {
    margin: 0 12px;
    min-width: 38px;
    text-align: center;
}


/* ----------------------------------------------------
   Custom Repeater Grid Layout
---------------------------------------------------- */

.se-repeater-wrapper {
    margin-top: 15px;
    display: block;
}

.se-repeater-header-row,
.se-repeater-row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -5px;
    margin-right: -5px;
}

.se-repeater-header-row {
    margin-bottom: 8px;
}

.se-repeater-row {
    margin-bottom: 12px;
}

.se-repeater-col-header,
.se-repeater-col {
    padding-left: 5px;
    padding-right: 5px;
    box-sizing: border-box;
    width: var(--se-col-width, 100%);
}

.se-repeater-col-header {
    font-size: 16px;
    line-height: 1.5;
    font-weight: var(--bold-font-weight);
    color: var(--color-content-heading);
}

.se-repeater-input.bookly-custom-field {
    width: 100%;
}

.bookly-form .bookly-box .bookly-form-group input[type="text"].se-has-error,
.bookly-form .bookly-box .bookly-form-group input[type="number"].se-has-error,
.bookly-form .bookly-box .bookly-form-group input[type="password"].se-has-error,
.bookly-form .bookly-box .bookly-form-group select.se-has-error,
.bookly-form .bookly-box .bookly-form-group textarea.se-has-error {
    border: var(--inputs-border-width, 1px) solid var(--color-accent-red) !important;
}


/* ----------------------------------------------------
   Disabled Next Step Button & Tracker
---------------------------------------------------- */

.bookly-next-step.se-btn-disabled,
.bookly-js-next-step.se-btn-disabled {
    opacity: 0.5 !important;
    cursor: not-allowed !important;
    pointer-events: none !important;
}

.bookly-form .bookly-progress-tracker.bookly-table .se-step-content,
.bookly-form .bookly-progress-tracker.bookly-table .se-step-number {
    font-size: inherit;
    line-height: inherit;
}

.bookly-form .bookly-progress-tracker.bookly-table .se-step-number {
    width: 24px;
    height: 24px;
    line-height: 24px;
    border-radius: 50%;
    text-align: center;
    display: inline-block;
    margin-inline-end: 8px;
    background: var(--color-content-bg);
}

.bookly-form .bookly-progress-tracker.bookly-table>.active .se-step-number {
    color: var(--color-white, #FFFFFF);
    background: var(--color-accent-turquoise-dark);
}


/* ----------------------------------------------------
   Číslovanie riadkov (Desktop vs Mobile)
---------------------------------------------------- */

.se-repeater-header-row,
.se-repeater-row {
    position: relative;
    padding-left: 28px;
}

.se-row-number {
    position: absolute;
    left: 0;
    top: 0;
    width: 28px;
    height: var(--inputs-height, 40px);
    display: flex;
    align-items: center;
    font-size: 16px !important;
    line-height: 1.5 !important;
    padding-left: 5px;
    color: var(--color-content-heading);
    font-weight: var(--bold-font-weight);
}

.se-has-repeater .bookly-label-error {
    margin-left: 28px !important;
}

@media (max-width: 768px) {
    .se-repeater-header-row,
    .se-repeater-row {
        padding-left: 0;
    }
    .se-row-number {
        display: none !important;
    }
    .se-has-repeater .bookly-label-error {
        margin-left: 0 !important;
    }
}